Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TaskWorkerControl

All Superinterfaces:
  Serializable, TaskBaseAnnotations, TaskBaseControl, TaskBatchAnnotations, TaskBatchControl

Deprecated. Use TaskBatchControl instead

    @Deprecated
    public interface TaskWorkerControl

extends TaskBatchControl

The Task Worker control enables a business process or UI to assume ownership of Tasks, work on them, and complete them. It offers administrative operations, such as operations to start, stop, delete, and assign. The Task Worker controls allow operations on several Task instances simultaneously. You can extend this control.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Nested classes/interfaces inherited from interface com.bea.control.TaskBatchAnnotations
`TaskBatchAnnotations.TaskQueryAnno, TaskBatchAnnotations.TaskSelect`

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Method Summary
`void` | `archiveTasks()` Deprecated. Use WorklistSystem instead.
`void` | `purgeTasks()` Deprecated. Use WorklistSystem instead.

Methods inherited from interface com.bea.control.TaskBaseControl
`constructTask, createTask, getTaskPlan`

Method Detail

### archiveTasks

    @Deprecated
    void archiveTasks()

  Deprecated. Use WorklistSystem instead.

  Archive the tasks that are in the state aborted or completed

  See Also:
    `com.bea.wli.worklist.api.WorklistSystem#archiveTasks()`

### purgeTasks

    @Deprecated
    void purgeTasks()

  Deprecated. Use WorklistSystem instead.

  Purge the tasks that are ready to be purged: completed or aborted time > purgeDelay. if archiver is on the task must be archived first.

  See Also:
    `WorklistSystem.purgeTasks()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD